## org.apache.batik.transcoder.keys
Class LengthKey

    java.lang.Object
      org.apache.batik.transcoder.TranscodingHints.Key
          org.apache.batik.transcoder.keys.LengthKey

public class LengthKey
extends TranscodingHints.Key

A transcoding Key represented as a length.

Constructor Summary
`LengthKey()`

Method Summary
`boolean` `isCompatibleValue(java.lang.Object v)` Returns true if the specified object is a valid value for this key, false otherwise.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LengthKey

    public LengthKey()

Method Detail

### isCompatibleValue

    public boolean isCompatibleValue(java.lang.Object v)

  Description copied from class: `TranscodingHints.Key`
  Returns true if the specified object is a valid value for this key, false otherwise.

  Specified by:
    `isCompatibleValue` in class `TranscodingHints.Key`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.